Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/s6-dns: new aport

From: John Regan <john_at_jrjrtech.com>
Date: Wed, 25 Feb 2015 14:44:53 -0500

---
 testing/s6-dns/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/s6-dns/APKBUILD
diff --git a/testing/s6-dns/APKBUILD b/testing/s6-dns/APKBUILD
new file mode 100644
index 0000000..63ad9a2
--- /dev/null
+++ b/testing/s6-dns/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: John Regan <john_at_jrjrtech.com>
+# Maintainer: John Regan <john_at_jrjrtech.com>
+pkgname=s6-dns
+pkgver=2.0.0.2
+pkgrel=0
+pkgdesc="skarnet.org's DNS client libraries and command-line DNS client utilities"
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="3ff0a851920d011ed04749ad087ebcf6  s6-dns-2.0.0.2.tar.gz"
+sha256sums="b28bbb40b03eb276aed352ab4a7a515615ba0d45029b6688c1dcda86fe3030e8  s6-dns-2.0.0.2.tar.gz"
+sha512sums="7a1e9253de932da33769067620ff776fc6c865505373ed3e4162c095f9bfe93c52c2262fd0fdd4ce8e75cd71523146d5636acc1d871d4e035fdacbf7b47af996  s6-dns-2.0.0.2.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 25 2015 - 14:44:53 GMT